<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKUsrEditView_ctrlPluginBase from './ibizbookusr-edit-view-ctrl-plugin-base.vue';

import view_form from '@widgets/ibizbook/usr1207735605-form/usr1207735605-form.vue';
// 基于 @VIEW/实体编辑视图/VIEW.vue.ftl 生成

@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKUsrEditView_ctrlPlugin extends IBIZBOOKUsrEditView_ctrlPluginBase {

}
</script>